      program xmagfld
!
!     Exercise driver for magfld.for
!
!     B. Knapp, 1998-11-20, 2001-04-25
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
      real*8 jd, p(4), b(4)
!
 1    write(*,'(/a$)') ' JD? '
      read(*,*) jd
      write(*,'(a$)') ' P? '
      read(*,*) p
!
      call magfld( jd, p, b )
      write(*,'(4f16.8)') b
      goto 1
!
      end
